Bug 51870 - ARM generic ROMRAM support
Summary: ARM generic ROMRAM support
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: HAL (Show other bugs)
(Show other bugs)
Version: CVS
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 08:42 UTC by Jesper Skov
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:01:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-08-16 08:42:10 UTC
For this to work, we'd need to replace the present SETUP1 macro with
more macros like those used in the MIPS HAL. As per comment from
Mark, it may be a little hard to do properly: some platforms need to
init memory controller before MMU, others need to do it the other
way.

I suggest we use something like:

 hal_cpu_init
#ifdef CYGHWR_ARM_MMU_BEFORE_MEMC
 hal_mmu_init
 hal_memc_init
#else
 hal_memc_init
 hal_mmu_init
#endif
 hal_fpu_init
 hal_intc_init
 hal_cache_init
 hal_timer_init


There are already two platforms supporting ROMRAM startup using magic
in the SETUP1 macro.

Comment 1 Alex Schuilenburg 2003-06-20 16:01:59 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=51870


Note You need to log in before you can comment on or make changes to this bug.